ServerEvents.recipes(event => {
  event.custom({
  "type": "botania:elven_trade",
  "ingredients": [
    {
      "item": "integratedterminals:menril_glass"
    },
    {
      "item": "thermal:tin_gear"
    },
    {
      "item": "minecraft:iron_block"
    }
  ],
  "output": [
    {
      "item": "thermal:machine_frame"
    }
  ]
})
event.custom({
"type": "actuallyadditions:laser",
  "energy": 100,
  "ingredient": {
    "item": "ae2:logic_processor"
  },
  "result": {
    "item": "thermal:rf_coil"
  }
  })
  event.custom({
"type": "actuallyadditions:laser",
  "energy": 100,
  "ingredient": {
    "item": "appflux:energy_processor"
  },
  "result": {
    "item": "thermal:redstone_servo"
  }
  })
})